System.register([], function (_export, _context) {
  "use strict";

  var __SystemJSRewritingHack, sourceMapPlugin;
  return {
    setters: [],
    execute: function () {
      __SystemJSRewritingHack = {};
      _recorder_._src_external_markdown_it_sourcemap_js = _recorder_._src_external_markdown_it_sourcemap_js || {};
      sourceMapPlugin = md => {
        globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/external/markdown-it-sourcemap.js"]++;
        const originalFunc = md.renderer.renderToken.bind(md.renderer);
        md.renderer.renderToken = function (tokens, idx, options) {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/external/markdown-it-sourcemap.js"]++;
          let token = tokens[idx];
          if (token.map !== null && token.type.endsWith('_open')) {
            globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/external/markdown-it-sourcemap.js"]++;
            token.attrPush(['data-source-line', token.map[0] + 1 + "-" + (token.map[1] + 1)]);
          }
          return originalFunc(tokens, idx, options);
        };
      };
      Object.defineProperty(_recorder_._src_external_markdown_it_sourcemap_js, "sourceMapPlugin", {
        get() {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/external/markdown-it-sourcemap.js"]++;
          return sourceMapPlugin;
        },
        set(thisIsVererySecretVariableName) {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/external/markdown-it-sourcemap.js"]++;
          sourceMapPlugin = thisIsVererySecretVariableName;
          return true;
        },
        enumerable: true,
        configurable: true
      });
      _export("default", sourceMapPlugin);
    }
  };
});